org.apache.http.client.cache

## Class HttpCacheContext

- java.lang.Object
- - org.apache.http.protocol.HttpCoreContext
  - - org.apache.http.client.protocol.HttpClientContext
    - - org.apache.http.client.cache.HttpCacheContext

- All Implemented Interfaces:
    org.apache.http.protocol.HttpContext

      public class HttpCacheContext
      extends HttpClientContext

  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_RESPONSE_STATUS` This is the name under which the `CacheResponseStatus` of a request (for example, whether it resulted in a cache hit) will be recorded if an `HttpContext` is provided during execution.

    - ### Fields inherited from class org.apache.http.client.protocol.HttpClientContext

      `AUTH_CACHE, AUTHSCHEME_REGISTRY, COOKIE_ORIGIN, COOKIE_SPEC, COOKIE_STORE, COOKIESPEC_REGISTRY, CREDS_PROVIDER, HTTP_ROUTE, PROXY_AUTH_STATE, REDIRECT_LOCATIONS, REQUEST_CONFIG, TARGET_AUTH_STATE, USER_TOKEN`

    - ### Fields inherited from class org.apache.http.protocol.HttpCoreContext

      `HTTP_CONNECTION, HTTP_REQ_SENT, HTTP_REQUEST, HTTP_RESPONSE, HTTP_TARGET_HOST`

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpCacheContext()`
    `HttpCacheContext(org.apache.http.protocol.HttpContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpCacheContext` | `adapt(org.apache.http.protocol.HttpContext context)`
    `static HttpCacheContext` | `create()`
    `CacheResponseStatus` | `getCacheResponseStatus()`

    - ### Methods inherited from class org.apache.http.client.protocol.HttpClientContext

      `getAuthCache, getAuthSchemeRegistry, getCookieOrigin, getCookieSpec, getCookieSpecRegistry, getCookieStore, getCredentialsProvider, getHttpRoute, getProxyAuthState, getRedirectLocations, getRequestConfig, getTargetAuthState, getUserToken, getUserToken, setAuthCache, setAuthSchemeRegistry, setCookieSpecRegistry, setCookieStore, setCredentialsProvider, setRequestConfig, setUserToken`

    - ### Methods inherited from class org.apache.http.protocol.HttpCoreContext

      `getAttribute, getAttribute, getConnection, getConnection, getRequest, getResponse, getTargetHost, isRequestSent, removeAttribute, setAttribute, setTargetHost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_RESPONSE_STATUS

          public static final String CACHE_RESPONSE_STATUS

      This is the name under which the `CacheResponseStatus` of a request (for example, whether it resulted in a cache hit) will be recorded if an `HttpContext` is provided during execution.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpCacheContext

          public HttpCacheContext(org.apache.http.protocol.HttpContext context)

    - #### HttpCacheContext

          public HttpCacheContext()

  - ### Method Detail

    - #### adapt

          public static HttpCacheContext adapt(org.apache.http.protocol.HttpContext context)

    - #### create

          public static HttpCacheContext create()

    - #### getCacheResponseStatus

          public CacheResponseStatus getCacheResponseStatus()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.